name: Release tag
on:
  push:
    tags:
      - 'v*'

jobs:
  build:
    runs-on: [windows11] 
    steps:
    - name: Checkout code
      uses: actions/checkout@v4
    - name: Build and deploy
      run: |
        resources/build.ps1 build
        resources/build.ps1 deploy
        resources/build.ps1 changelog
    - name: Upload Gitea Release
      uses: akkuman/gitea-release-action@v1
      with:
        body_path: build/CHANGELOG.txt
        files: |-
          build/SmartLockerTools.zip